%define _casename  FontForge

Name:		fontforge
Version:    20230101
Release:	%mkrel 2
Summary:	Font Editor for PostScript, TrueType, OpenType and various fonts
License:	GPLv3
Group:		Publishing
URL:		https://fontforge.org
Source0:	https://github.com/fontforge/fontforge/releases/download/%{version}/%{name}-%{version}.tar.xz
Patch0:     %{name}-mark-fuzzy-translations.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:  libtool
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	lib64jpeg-devel
BuildRequires:	lib64tiff-devel
BuildRequires:	lib64png-devel
BuildRequires:  lib64freetype6-devel
BuildRequires:  lib64gif-devel
BuildRequires:  lib64x11-devel
BuildRequires:  lib64gtk+3.0-devel
BuildRequires:  lib64xml2-devel
BuildRequires:  lib64pango1.0-devel
BuildRequires:  lib64cairo-devel
BuildRequires:  lib64brotli-devel
BuildRequires:  lib64woff2-devel
BuildRequires:  lib64spiro-devel
BuildRequires:  ninja-build
BuildRequires:  cmake
BuildRequires:  lcov
BuildRequires:  python3-devel

Requires:   potrace
Requires:   desktop-file-utils
Requires:   shared-mime-info

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%package devel
Summary:	Development Library  for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development Library for %{name}.


%prep
%setup -q -b 0
%patch0 -p1

%build
%cmake DENABLE_DOCS=OFF # Doesn't detect python 3 version of sphinx so disable docs

%install
rm -rf %{buildroot}
%cmake_install

%files
%{_bindir}
%{python3_sitearch}/{%{name}.so,psMat.so}
%{_libdir}/lib%{name}.so.*
%{_datadir}

%files devel
%{_libdir}/*.so

%changelog
* Tue Feb 20 2024 tex - 20230101.2pclos2024
- make developemt pkg as wine might need it to build wine

* Mon Feb 19 2024 hunter0one <hunter2k1@disroot.org> 20230101.1pclos2024
- update to 20230101

* Thu Apr 03 2014 pinoc <vogtpet at gmail.com> 1.0-0.20120731.1pclos2014
- update to 20120731
